Bug 1124428 - Some documentation regarding sssd sudo configuration missing
Summary: Some documentation regarding sssd sudo configuration missing
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Tomas Capek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 13:10 UTC by Johan Swensson
Modified: 2019-03-06 02:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-29 12:33:03 UTC


Attachments (Terms of Use)

Description Johan Swensson 2014-07-29 13:10:27 UTC
Description of problem:
Some vital information in the IPA documentation is missing regarding sudo via sssd.

18.4.2. Applying the Configured sudo Policies to Hosts Using SSSD
Configuration which is missing(example):

ldap_tls_cacert = /etc/ipa/ca.crt
sudo_provider = ldap
ldap_uri = ldap://ipa1.example.com, ldap://ipa2.example.com
ldap_sudo_search_base = ou=sudoers,dc=example,dc=com
ldap_sasl_mech = GSSAPI
ldap_sasl_authid = host/hostname.example.com
ldap_sasl_realm = IPA.EXAMPLE.COM
krb5_server = ipa1.example.com ipa2.example.com


Expected results:
Complete documentation on how to configure sudo and sssd using IPA/IdM

Additional info:
This is documented in the RHEL6 deployment guide, not sure what's required for RHEL7.
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/sssd-ldap-sudo.html

Comment 2 Johan Swensson 2014-08-29 12:33:44 UTC
Sorry about the noise, the documentation was correct.


Note You need to log in before you can comment on or make changes to this bug.